Fixed building with the first version of Visual Studio 2017, which doesn't have __has_include() (Thanks Simon!)
authorSam Lantinga <slouken@libsdl.org>
Fri, 08 Sep 2017 15:08:50 -0700
changeset 1146971610a71bbb2
parent 11468 a39f1b8ff998
child 11470 b3bb3855bc41
Fixed building with the first version of Visual Studio 2017, which doesn't have __has_include() (Thanks Simon!)
include/SDL_platform.h
     1.1 --- a/include/SDL_platform.h	Fri Sep 08 15:08:03 2017 -0700
     1.2 +++ b/include/SDL_platform.h	Fri Sep 08 15:08:50 2017 -0700
     1.3 @@ -120,7 +120,7 @@
     1.4  
     1.5  #if defined(WIN32) || defined(_WIN32) || defined(__CYGWIN__) || defined(__MINGW32__)
     1.6  /* Try to find out if we're compiling for WinRT or non-WinRT */
     1.7 -#if defined(_MSC_VER) && _MSC_VER >= 1910                               /* _MSC_VER == 1910 for Visual Studio 2017 */
     1.8 +#if defined(_MSC_VER) && defined(__has_include)
     1.9  #define HAVE_WINAPIFAMILY_H __has_include(<winapifamily.h>)
    1.10  /* If _USING_V110_SDK71_ is defined it means we are using the Windows XP toolset. */
    1.11  #elif defined(_MSC_VER) && (_MSC_VER >= 1700 && !_USING_V110_SDK71_)    /* _MSC_VER == 1700 for Visual Studio 2012 */